local Sequences = GSMasterSequences -- Dont remove this

---Demon Hunter---
	---Havoc---
		---Tier 2:  Prepared is the optimal choice in a vast majority of situations, Demon Blades is better in AoE situation especially when you have taken Fel Barrage as a Talent---
		---Tier 5:  Momentum is the default choice in this tier, but take Nemesis instead if  you feel unconfortable moving around at an encounter---
		---Tier 7	: Chaos Blades = Single target, Fel Barrage = Multi-target---
Sequences['HavocSingle'] = {
specID = 577,
author = "Ðarkramz",
helpTxt = "Talents: 1, 1/2, 3, ?, 1/3, 1, 1/2",
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
]],
	'/cast [nochanneling,talent:5/2] Fel Eruption',
	'/cast [nochanneling,talent:3/3] Throw Glaive; [nochanneling,talent:3/2] Blade Dance; [nochanneling,talent:3/1] Felblade',
	'/cast [nochanneling] Chaos Strike',
	"/castsequence [nochanneling] Demon's Bite, Chaos Strike",
	"/castsequence [nochanneling] Chaos Strike, Demon's Bite",
	'/cast [nochanneling] Chaos Strike',
	"/cast [nochanneling] Demon's Bite",
	'/cast [nochanneling] Chaos Strike',
	'/cast [nochanneling] Throw Glaive',
PostMacro = [[
/startattack
/cast [nochanneling] Fury of the Illidari
]],
}
Sequences['HavocMulti'] = {
specID = 577,
author = "Ðarkramz",
helpTxt = "Talents: 1, 1/2, 3, ?, 1/3, 1, 1/2",
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
]],
	'/cast [nochanneling] Blade Dance',
	"/castsequence [nochanneling] Demon's Bite, Blade Dance",
	"/castsequence [nochanneling] Blade Dance, Demon's Bite",
	'/cast [nochanneling] Chaos Strike',
	"/cast [nochanneling] Demon's Bite",
	'/cast [nochanneling] Chaos Strike',
	'/cast [nochanneling] Throw Glaive',
PostMacro = [[
/startattack
/cast [nochanneling] Fury of the Illidari
]],
}
Sequences['Eyebeam'] = {
specID = 577,
author = "Ðarkramz",
helpTxt = "Talents: 1, 1/2, 3, ?, 1/3, 1, 1/2",
icon = 198013,
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
]],
	'/cast [nochanneling] Eye Beam',
	"/castsequence [nochanneling,talent:3/1] Felblade, Eye Beam",
	'/cast [nochanneling] Eye Beam',
	"/cast [nochanneling] Demon's Bite",
PostMacro = [[
/cast [nochanneling] Eye Beam
]],
}
	---Vengeance---
		---Tier 2: Feast of Souls = best for single target, Fallout  = best for Multi-target, Burning Alive  = best for Multi-target damage done ---
		---Tier 4: Feed the Demon = Single target, Soul Rending = Slightly better against Multi-target---
		---Tier 5: Concentrated Sigils provides an AoE DPS increase, Sigil of Chains has a good utility and it can work well to group up mobs for easier AoE damage---
		---Tier 6: Fel Devastation provides the highest DPS gain in this tier, Blade Turning provides massive amounts of extra Pain during AoE situations, and moderate amounts of extra Pain the rest of the time---
		---Tier 7: Nether Bond is interesting and could be used creatively as a niche cooldown on some encounters, but generally Last Resort is just better.---
Sequences['VengeanceRotation'] = {
specID = 581,
author = "Ðarkramz",
helpTxt = "Talents: 2, 1/2/3, 1, 2/3, 1/2, 1/2, 1/2",
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
]],
	'/cast [nochanneling] Soul Carver',
	'/castsequence [nochanneling] Soul Cleave, Shear',
	'/cast [nochanneling] Immolation Aura',
	'/cast [nochanneling,talent:3/1] Felblade; [nochanneling,talent:3/3] Fel Eruption',
	'/cast [nochanneling] Shear',
	'/cast [nochanneling,talent:2/3] Fiery Brand',
PostMacro = [[
/startattack
/cast [nochanneling] Immolation Aura
/cast [nochanneling,talent:3/1] Felblade; [nochanneling,talent:3/3] Fel Eruption
/cast [nochanneling,talent:2/3] Fiery Brand
]],
}
Sequences['VengeanceFelBomb'] = {
specID = 581,
author = "Ðarkramz",
helpTxt = "Talents: 2, 1/2/3, 1, 2/3, 1/2, 1/2, 1/2",
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
]],
 	'/cast [nochanneling,talent:6/1] Fel Devastation',
	'/cast [nochanneling] Soul Carver',
	'/cast [nochanneling,talent:3/1] Felblade',
	'/cast [nochanneling] Shear',
	'/castsequence [nochanneling,talent:6/3] Spirit Bomb',
PostMacro = [[
/startattack
/cast [nochanneling,talent:6/1] Fel Devastation
]],
}
