local Sequences = GSMasterSequences -- Dont remove this

---Hunter---
	---Beast Mastery---
		---Tier 1: Use Way of the Cobra when you can maintain 2 direbeasts, else use Dire Stable---
		---Tier 2: Chimaera Shot <= 2 targets and Stomp => 3 targets---
		---Tier 6: Single target = A Murder of Crows (stacks with mastery), Multi-target = Barrage---
Sequences['BmSingle'] = {
specID = 253,
author = "Ðarkramz",
helpTxt = "Talents: 2/3, 1/3, ?, 2, ?, 1/2, 2",
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
/cast [nochanneling] Bestial Wrath
]],
	'/cast [nochanneling] Dire Beast',
	'/cast [nochanneling] !Kill Command',
	"/cast [nochanneling] Titan's Thunder",
	'/cast [nochanneling] Dire Beast',
	'/cast [nochanneling] !Kill Command',
	'/cast [nochanneling] Cobra Shot',
	'/cast [nochanneling] !Kill Command',
	'/cast [nochanneling,talent:2/3] Chimaera Shot',
PostMacro = [[
/startattack
/cast [nochanneling] Dire Beast
/cast [nochanneling] Aspect of the Wild
]],
}
Sequences['BmMulti'] = {
specID = 253,
author = "Ðarkramz",
helpTxt = "Talents: 2/3, 1/3, ?, 2, ?, 1/2, 2",
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
/cast [nochanneling] Bestial Wrath
]],
	'/cast [nochanneling] Dire Beast',
	'/cast [nochanneling] !Kill Command',
	"/cast [nochanneling] Titan's Thunder",
	'/cast [nochanneling] Multi-Shot',
	'/cast [nochanneling] !Kill Command',
	'/cast [nochanneling] Dire Beast',
	'/cast [nochanneling,talent:2/3] Chimaera Shot',
PostMacro = [[
/startattack
/cast [nochanneling] Dire Beast
/cast [nochanneling] Aspect of the Wild
]],
}
Sequences['BmNineties'] = {
specID = 253,
author = "Ðarkramz",
helpTxt = "Talents: 2/3, 1/3, ?, 2, ?, 1/2, 2",
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
/cast [nochanneling] Bestial Wrath
]],
	'/cast [nochanneling,talent:6/2] Barrage; [nochanneling,talent:6/1] A Murder of Crows',
	'/cast [nochanneling,talent:2/3] Chimaera Shot',
	'/cast [nochanneling,talent:6/2] Barrage; [nochanneling,talent:6/1] A Murder of Crows',
	'/cast [nochanneling] Dire Beast',
PostMacro = [[
/startattack
/cast [nochanneling,talent:6/2] Barrage; [nochanneling,talent:6/1] A Murder of Crows
]],
}
	--Marksmanship---
		---Important: Barrage should be used whenever it is ready or if you know more enemies join the fight within 10 seconds---
Sequences['MmRotation'] = {
specID = 254,
author = "Ðarkramz",
helpTxt = "Talents: 1, 1, ?, 3, ?, 2, 1",
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
/cast [nochanneling] Trueshot
]],
	'/cast [nochanneling] Marked Shot',
	'/cast [nochanneling] Windburst',
	'/cast [nochanneling] Marked Shot',
	'/cast [nochanneling] Aimed Shot',
	'/cast [nochanneling] Aimed Shot',
	'/cast [nochanneling,talent:7/1] Sidewinders',
	'/cast [nochanneling] Marked Shot',
PostMacro = [[
/startattack
/cast [nochanneling] Marked Shot
/cast [nochanneling] Windburst
]],
}
Sequences['MmNineties'] = {
specID = 254,
author = "Ðarkramz",
helpTxt = "Talents: 1, 1, ?, 3, ?, 2, 1",
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
]],
	'/cast [nochanneling,talent:6/2] Barrage; [nochanneling,talent:6/1] A Murder of Crows',
	'/castsequence [nochanneling,talent:7/1] Sidewinders,Marked Shot',
	'/cast [nochanneling,talent:6/2] Barrage; [nochanneling,talent:6/1] A Murder of Crows',
PostMacro = [[
/startattack
/cast [nochanneling,talent:6/2] Barrage; [nochanneling,talent:6/1] A Murder of Crows
]],
}
	---Survival---
		---Tier 1: Throwing Axes = Single target, Way of the Mok'Nathal = Multi-target---
		---Important: SvMulti mainly your conserve macro to use when you don't have 2-3 stacks of Mongoose Bite---
		---Important: SvMulti also becomes Multi-target if you take Butchery as a talent---
		---Focus Dump: Flanking Strike <=3 targets, Carve =>4 targets---
Sequences['SvSingle'] = {
specID = 255,
author = "Ðarkramz",
helpTxt = "Talents: 2/3, 3, ?, 2, ?, 2, 2",
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
/cast [nochanneling] aspect of the Eagle
]],
	'/cast [nochanneling] Explosive Trap',
	'/cast [nochanneling,talent:6/2] Dragonsfire Grenade',
	'/cast [nochanneling] Lacerate',
	'/cast [nochanneling] Mongoose Bite',
	'/cast [nochanneling,talent:1/2] Throwing Axes',
	'/cast [nochanneling] Flanking Strike',
	'/cast [nochanneling] Mongoose Bite',
	'/castsequence [nochanneling,talent:1/3] Raptor Strike, Raptor Strike',
PostMacro = [[
/startattack
/cast [nochanneling] Explosive trap
/cast [nochanneling] Lacerate
]],
}
Sequences['SvMulti'] = {
specID = 255,
author = "Ðarkramz",
helpTxt = "Talents: 2/3, 3, ?, 2, ?, 2, 2",
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
]],
	'/cast [nochanneling] Explosive Trap',
	'/cast [nochanneling,talent:6/2] Dragonsfire Grenade',
	'/cast [nochanneling] Lacerate',
	'/cast [nochanneling,talent:6/1] Butchery',
	'/cast [nochanneling,talent:1/2] Throwing Axes',
	'/cast [nochanneling,talent:6/1] Carve; [nochanneling,talent:6/2] Flanking Strike',
	'/castsequence [nochanneling,talent:1/3] Raptor Strike, Raptor Strike',
PostMacro = [[
/startattack
/cast [nochanneling] Explosive trap
/cast [nochanneling] Lacerate
]],
}
