local Sequences = GSMasterSequences -- Dont remove this

---Paladin---
	---Holy---
	---Protection---
		---Tier 5: Knight Templar = Default choice, good for mobility and reduces damage taken, Final stand if you are in need of a strong defencive cooldown---
		---Tier 7: Last Defender = Good if you are tanking a lot of adds, Righteous Protector = Good Selfhealing, Serphim = good for better damage output---
		---Important: Defencive cooldowns must be done manually even: Shield of the Righteous, Eye of Tyr and Light of the Protector---
Sequences['ProtRotation'] = {
specID = 66,
author = "Ðarkramz",
helpTxt = "Talents: 2, 2, ?, 1, 2/3, 2, ?",
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
/cast [talent:7/2] Seraphim
]],
	'/cast Judgment',
	"/cast Avenger's Shield",
	'/cast Consecration',
	'/castsequence [talent:1/2] Blessed Hammer ; [talent:1/1] Hammer of the Righteous',
	'/cast Consecration',
PostMacro = [[
/startattack
/cast Avenger's Shield
/cast Judgment
]],
}
	---Retribution---
		---Tier 1: Final Verdict = Multi-target, Execution Sentence = Single target---
		---Tier 2: The Fires of Justice = Single target, Zeal = Multi-target---
		---Tier 6: Divine Steed = best choice overall, for progress fight with low movement use Divine Intervention---
		---Important: If you take Justicar's Vengeance as a talent, use it on the talented Divine Purpose proc---
Sequences['RetSingle'] = {
specID = 70,
author = "Ðarkramz",
helpTxt = "Talents: 1/2, 1/2, ?, 2, 1, 1/2, 1/2",
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
]],
	"/cast Wake of Ashes",
	'/castsequence [talent:1/2] Execution Sentence, Judgment',
	'/cast [talent:4/1] Blade of Justice;[talent:4/2] Blade of Wrath; [talent:4/3] Divine Hammer',
	'/cast [talent:2/2] Zeal',
	"/castsequence Judgment, Templar's Verdict, Templar's Verdict",
	"/cast Templar's Verdict",
	'/cast Crusader Strike',
PostMacro = [[
/startattack
/cast Wake of Ashes
]],
}
Sequences['RetMulti'] = {
specID = 70,
author = "Ðarkramz",
helpTxt = "Talents: 1/2, 1/2, ?, 2, 1, 1/2, 1/2",
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
]],
	"/cast Wake of Ashes",
	'/castsequence [talent:1/2] Execution Sentence, Judgment',
	'/cast [talent:4/1] Blade of Justice;[talent:4/2] Blade of Wrath; [talent:4/3] Divine Hammer',
	'/cast [talent:2/2] Zeal',
	'/castsequence Judgment, Divine Storm, Divine Storm',
	'/cast Divine Storm',
	'/cast Crusader Strike',
PostMacro = [[
/startattack
/cast Wake of Ashes
]],
}
